Subject: Re: bug#43672: 28.0.50; select-frame-set-input-focus does not set focus first time called

From: martin rudalics <[email-masked]>
Date: Thu, 1 Oct 2020 10:39:15 +0200

> I am sorry för the confusion, I was just to fast typing. Yes, you
 > understand me correctly. It works correctly in emacsclient; not
 > correctly when I run Emacs as a standalone process, either with -Q
 > flag or without.

Then please with emacs -Q try the simpler

(defvar child-frame nil)

(defun make-child-frame ()
   (interactive)
   (setq child-frame
     (make-frame `((parent-frame . ,(selected-frame))
               (left . 10)
               (top . 10)
               (width . 20)
               (height . 10))))
   (select-frame-set-input-focus child-frame))

(defun delete-child-frame ()
   (interactive)
   (delete-frame child-frame))

and tell us whether the child frame gets focus.

martin